NetworksList networks

List networks

Global network registry (by coinType asc). Used by the UI picker when creating a Vault and registering tokens.

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/networks" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
[
  {
    "id": "cmr3f41z20001psp7phmyapw3",
    "coinType": 195,
    "code": "tron_network",
    "slug": "tron",
    "name": "Tron",
    "description": "example_string",
    "logoUri": "https://cdn.example.com/networks/tron.png",
    "type": "TRON",
    "createdAt": "2026-07-02T11:25:15.134000Z",
    "updatedAt": "2026-07-02T11:25:15.134000Z"
  }
]
GET
/api/v1/networks
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Responses

idstring
Required

cuid

coinTypeinteger
Required

SLIP-0044 coin type; goes into the derivation path after m/44/. Globally unique

codestring
Required
slugstring
Required

External/on-chain network name; used in Address.network, Token, and the webhook. Unique

namestring
Required
descriptionstring
Required
logoUristring
Required

Link to the network's logo image

typestring
Required

Network type (free-form string)

createdAtstring
Required
updatedAtstring
Required